Ankündigung

Einklappen
Keine Ankündigung bisher.

Bilder dynamisch erstellen

Einklappen

Neue Werbung 2019

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • Bilder dynamisch erstellen

    Hab mir ein Tutorial von dieser Seite angeschaut und bin auf die Bilderfunktionen gestossen.
    Ich hab jetzt mal hier nachgeschaut http://de3.php.net/manual/de/ref.image.php
    dort steht, dass man die GD Lib braucht. Doch diese ist nicht für php 4.3 oder höher gemacht, gibts auch eine andere Möglichkeit, Bilder zu erstellen?


  • #2
    dann nimmt man eben die gd2-lib
    http://www.boutell.com/gd/
    mfg Floh

    Programmers don't die, they GOSUB without RETURN

    Kommentar


    • #3
      Re: Bilder dynamisch erstellen

      Zitat von suter
      Doch diese ist nicht für php 4.3 oder höher gemacht,
      Dann .. erkläre mir mal .. warum in meiner Windowsversion (PHP 4.3.7) die beigelegte *.dll und in meiner Linuxversion (ebenfalls PHP 4.3.7) die selbst einkompilierte (aber ebenfalls beigelegte) Version einwandfrei funktioniert ...

      Kommentar


      • #4
        Re: Bilder dynamisch erstellen

        Zitat von Guradia
        Zitat von suter
        Doch diese ist nicht für php 4.3 oder höher gemacht,
        Dann .. erkläre mir mal .. warum in meiner Windowsversion (PHP 4.3.7) die beigelegte *.dll und in meiner Linuxversion (ebenfalls PHP 4.3.7) die selbst einkompilierte (aber ebenfalls beigelegte) Version einwandfrei funktioniert ...
        http://www.boutell.com/gd/phppatch.html ...

        Kommentar


        • #5
          Re: Bilder dynamisch erstellen

          Zitat von suter
          http://www.boutell.com/gd/phppatch.html ...
          Da steht:
          "Patching PHP 4.2.3 For Use With gd 2.0.8 and Up"

          Kommentar


          • #6
            Da steht noch mehr:
            STOP! Do you have PHP 4.3 or better? Then you DON'T want this page. Just build PHP with gd enabled (--enable-gd) to get the built-in gd distribution in any newer version of PHP. Thank you.
            Ja, hab ich

            Kommentar


            • #7
              kleine Info am Rande: In diesem Thread ist noch immer kein Problem zu erkennen ...

              Kommentar


              • #8
                Also mein Problem ist, dort steht PHP Version 4.3 und höher wird nicht mehr unterstützt. Ich habe eine höhere Version. Jetzt frage ich mich, was ich runterladen muss, damit ich dynamische Bilder erstellen kann.

                Kommentar


                • #9
                  Jo .. ergo: Kein Problem ..

                  denn wie meinem Post eigentlich unschwer zu entnehmen war: die funktionierende GD-Lib wird bei PHP mitgeliefert ...

                  Kommentar


                  • #10
                    achso, muss ich diese irgendwie aktivieren? Denn ein Vorzeigebeispiel aus einem Tutorial funktioniert nicht so ganz.
                    Deshalb dachte ich, man muss das Ganze zuerst downloaden

                    Kommentar


                    • #11
                      Zitat von suter
                      funktioniert nicht so ganz.
                      Aha?


                      Windows: Extension über php.ini aktivieren
                      Linux: kompilieren

                      Kommentar


                      • #12
                        Danke, bin schon weiter

                        Leider kommt jetzt der Fehler, unable to load gd2-lib ... das Angegebene Modul wurde nicht gefunden

                        Muss ich da noch ein Pfad ändern?

                        Kommentar


                        • #13
                          weiss niemand ne Lösung?

                          Kommentar

                          Lädt...
                          X